Current user
Return the signed-in user's profile + usage stats (plan, generations used, reset window).
GET
/api/user/me
Authentication
API Key (cookie: better-auth.session_token)
Responses
200
User profile
application/jsonid
string
REQUIRED
email
string
REQUIRED
plan
string
REQUIRED
aiGenerationsUsed
number
REQUIRED
aiGenerationsResetAt
string | null
compositionCount
number
REQUIRED
themeCount
number
REQUIRED
createdAt
string | null
401
Authentication required
curl -X GET 'https://motioness.com/api/user/me'
const response = await fetch('https://motioness.com/api/user/me', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://motioness.com/api/user/me')print(response.json())
200
Response
{ "id": "<string>", "email": "<string>", "plan": "<string>", "aiGenerationsUsed": 123, "aiGenerationsResetAt": "<string>", "compositionCount": 123, "themeCount": 123, "createdAt": "<string>"}
API Playground
Try this endpoint
GET
/api/user/me